2016-10-30 22:38:38 +01:00
#!/usr/bin/env bash
2016-10-10 10:20:32 +02:00
# You can execute this file to update wallabag
# eg: `sh update.sh prod`
2016-10-09 21:50:15 +02:00
2018-10-16 20:32:25 +02:00
IGNORE_ROOT_ARG = "--ignore-root-warning"
IGNORE_ROOT = 0
2019-02-14 12:10:51 +01:00
while :; do
case $1 in
$IGNORE_ROOT_ARG ) IGNORE_ROOT = 1
; ;
*[ a-zA-Z] ) ENV = $1
; ;
*) break
; ;
esac
shift
done
2018-10-16 20:32:25 +02:00
2018-10-06 12:23:40 +02:00
# Abort running this script if root
2018-10-16 20:32:25 +02:00
if [ " $IGNORE_ROOT " -eq 0 ] && [ " $EUID " = = "0" ] ; then
2018-10-06 12:23:40 +02:00
echo "Do not run this script as root!" >& 2
2018-10-16 20:32:25 +02:00
echo " Use $IGNORE_ROOT_ARG to ignore this error. " >& 2
2018-10-06 12:23:40 +02:00
exit 1
fi
2018-01-03 05:33:43 +01:00
set -e
set -u
2016-10-27 10:09:43 +02:00
COMPOSER_COMMAND = 'composer'
2019-01-17 20:04:57 +01:00
REQUIRE_FILE = 'scripts/require.sh'
2016-10-27 10:09:43 +02:00
2019-01-17 20:04:57 +01:00
if [ ! -f " $REQUIRE_FILE " ] ; then
echo " Cannot find $REQUIRE_FILE "
exit 1
fi
. " $REQUIRE_FILE "
2016-10-27 09:53:09 +02:00
2019-06-12 21:33:53 +02:00
# Check for wallabag .git folder
if [ ! -d .git ] ; then
echo "Can not update because wallabag wasn't installed using git (see https://doc.wallabag.org/en/admin/upgrade.html#upgrade-on-a-shared-hosting). Aborting." ;
2019-06-14 11:28:23 +02:00
exit 2;
2019-06-12 21:33:53 +02:00
fi
2016-10-09 21:50:15 +02:00
rm -rf var/cache/*
git fetch origin
git fetch --tags
2016-11-07 09:55:03 +01:00
TAG = $( git describe --tags $( git rev-list --tags --max-count= 1) )
2016-10-10 09:15:53 +02:00
git checkout $TAG --force
2016-10-27 10:09:43 +02:00
SYMFONY_ENV = $ENV $COMPOSER_COMMAND install --no-dev -o --prefer-dist
2017-01-23 14:43:00 +01:00
php bin/console doctrine:migrations:migrate --no-interaction --env= $ENV
2016-10-09 21:50:15 +02:00
php bin/console cache:clear --env= $ENV